/**
 *
 * Copyright (c) 2011, Fuji Xerox Co., Ltd.  All Rights Reserved.
 *
 * Copyright protection claimed includes all forms and matters of
 * copyrightable material and information now allowed by statutory or
 * judicial law or hereafter granted, including without limitation, material
 * generated from the software programs which are displayed on the screen
 * such as icons, screen display looks, etc.
 */
function NS () {}
NS.SOAP = 'http://schemas.xmlsoap.org/soap/envelope/';
NS.JT = 'http://www.fujixerox.co.jp/2003/12/ssm/jobTemplate';
NS.JTM = 'http://www.fujixerox.co.jp/2003/12/ssm/management/jobTemplate';
NS.JTM2 = 'http://www.fujixerox.co.jp/2005/12/ssm/management/jobTemplate';
NS.XSI = 'http://www.w3.org/2001/XMLSchema-instance';

function NSPREFIX () {}
NSPREFIX.SOAP = 'soap';
NSPREFIX.JT = 'jt';
NSPREFIX.JTM = 'jtm';
NSPREFIX.JTM2 = 'jtm2';
NSPREFIX.XSI = 'xsi';

var SSMI_NS = function() {
}


SSMI_NS.ACCRELATION = "ssmi_ns.accrelation";

var SSMI_ENDPOINT = function() {
}

SSMI_ENDPOINT.ACCRELATION = "ssmi_endpoint.accrelation";

function createXMLHttpRequest() {
	return new XMLHttpRequest();
}

function XMLToString(obj) {
	var xs = new XMLSerializer();
	var str = '<?xml version="1.0"?>' + xs.serializeToString(obj);
	return str.replace(' xmlns="http://www.w3.org/1999/xhtml"', '');
}

/**
 * Constractor
 */
var XMLSOAP = function() {
	ns     : null
	nsNode : null
	root   : null
	body   : null
}

/**
 * Returns a SOAP envelope element.
 */
XMLSOAP.prototype.createSOAPEnvelope = function(withHeader) {
	this.ns = new Array();
	this.nsNode = new Array();
	this.root = document.createElement("Envelope");
	this.body = document.createElement("Body");
	return this.root;
}

/**
 * Inserts the namespace and prefix.
 */
XMLSOAP.prototype.addNSPrefix = function(namespace, prefix) {
	this.ns[namespace] = prefix;
}

/**
 * Returns new element with namespace.
 */
XMLSOAP.prototype.createElementNS = function(namespace, name) {
	var elm = document.createElement(name);
	var prefix = this.ns[namespace];
	elm.setAttribute("xmlns:" + prefix, namespace);
	return elm;
}

/**
 * Inserts the namespace for node.
 */
XMLSOAP.prototype.addNSDeclaration = function(namespace, node, force) {
	if (namespace in this.nsNode) {
		if (force == true) {
			this.nsNode[namespace] = node;
		}
	} else {
		this.nsNode[namespace] = node;
	}
}

/**
 * Returns new element.
 */
XMLSOAP.prototype.createElement = function(name) {
	return document.createElement(name);
}

/**
 * Returns new text node.
 */
XMLSOAP.prototype.createTextNode = function(name) {
	return document.createTextNode(name);
}

XMLSOAP.prototype.toString = function() {
	return XMLToString(this.root);
}

