function status(message) {
  // var debug = document.getElementById("debug");
  //debug.innerText = message;
  //debug.value += message + "\n";
  consoleEnabled && console.log(message);
}

/**
 * Entry point
 */
window.onload = function() {
  BrowserExt.Init();
  status("onload");
  // TODO: not localized
  DIALOG.init({OK : 'Ok', CONFIRM : 'Yes', CANCEL : 'No'}, {DISABLE_OVERLAY : false, BACKGROUND_COLOR : '#f5f5f5'});

  MFD.init({
    url : url,
    connectionTimeout : connectionTimeout,
    deviceVendor : deviceVendor,
    deviceModel : deviceModel,
    deviceGeneration : deviceGeneration,
    skipDeviceReady : true /* Don't recheck if device is ready in print release */
  },
  function() {
    MFD.logEvent("*** window.onload [release] ***" +
      "\nServer URL: " + url +
      "\nTimeout: " + connectionTimeout);

      // Set up display size
      var screenNode = document.getElementById('main_ui');
      screenNode.style.width = screen.width;
      screenNode.style.height = screen.height;
      MFD.changeScreen(screenNode.id);
  });
}

function setHostedPage(url) {
  status("setHostedPage: " + url);
  MFD.logEvent("setHostedPage: " + url);
}

/**
 * Automatically called by the in-frame page/JSP on print release close
 */
function closeWindow() {
  status("closeWindow");
  MFD.logEvent("closeWindow");
  MFD.changeScreen('end');
}

function main_ui_function() {
  // Check server is online
  MFD.checkServerStatus('/printrelease');
}

function end_function() {
  // See EWB External Specification section 3.6
  // menu, allservice, copy, copy_easy, box, scan_mbox, scan_email, scan_it, scan_pc, scan_url, scan_media...
  apeos.setScreenChange("menuto:allservice");
}