// from http://forrst.com/posts/console_log_crossbrowser_compatible_js_debug-5Xw + minor customisations
var MAX_LINES = 100;
var line = 0;

var loggingEnabled = true;
function toggleLogging() {
  if (loggingEnabled) {
    loggingEnabled = false;
    document.getElementById('crossConsolePause').value = '>';
  } else {
    loggingEnabled = true;
    document.getElementById('crossConsolePause').value = '||';
  }
}

if (consoleEnabled && (!("console" in window) || !("firebug" in console))){
  var names = ["log", "debug", "info", "warn", "error", "assert", "dir", "dirxml", "group",
           "groupEnd", "time", "timeEnd", "count", "trace", "profile", "profileEnd"];
  window.console = {};
  for (var i = 0; i < names.length; ++i){
    window.console[names[i]] = function(input){
      if (!document.getElementById('crossConsoleData')){
        var ccButton 	= '<div id="crossConsoleButton" style="position: absolute; text-align: center; bottom: 15px; left: 750px; width: 24px; height: 24px; margin: 10px; background-color: lightgrey; border: 1px solid #000; z-index: 100000" onclick="document.getElementById(\'crossConsoleData\').style.display=\'block\'; document.getElementById(\'crossConsoleToolbar\').style.display=\'block\';">^</div>';
        var ccData		= '<textarea id="crossConsoleData" style="opacity: 0.9; filter:alpha(opacity=90); display: none; clear: both; position: absolute; left: 0px; bottom: 0px; width: 98%; height: 300px; border: 1px solid #000; background-color: #f3f2f2; z-index: 10000"; readonly></textarea>';
        var ccToolbar	= '<div id="crossConsoleToolbar" style="display: none; position: absolute; bottom: 284px; left: 0;width: 200px; height: 32px; z-index: 10001"><div style="display: block; position: absolute; bottom: 0; left: 0; margin: 0 15px 2px 0; font-family: Arial; background: #f0f0f0; border: 1px solid #000; width: 24px; height: 24px; text-align: center; padding: 2px; overflow: hidden; line-height: 10px; cursor: pointer; z-index: 10001;" onclick="document.getElementById(\'crossConsoleData\').style.display=\'none\'; document.getElementById(\'crossConsoleToolbar\').style.display=\'none\';"><b>x</b></div><input id="crossConsoleClear" value="clear" type="button" style="position: absolute; bottom: 0px; left: 35px; z-index: 10001" onclick="document.getElementById(\'crossConsoleData\').value=\'\'"/>    <input id="crossConsolePause" value="||" type="button" style="position: absolute; bottom: 0px; left: 85px; z-index: 10001" onclick="toggleLogging();"/></div>';
        var crossConsole = document.createElement('div');
        crossConsole.setAttribute('id', 'crossConsole');
        crossConsole.innerHTML = ccButton+ccData+ccToolbar;
        var theBody = document.getElementsByTagName('body')[0];
        theBody && theBody.appendChild(crossConsole);
      }
      var crossConsole		= document.getElementById('crossConsoleData');
      if (crossConsole) {
        var crossConsoleData	= crossConsole.value;
        if (++line > MAX_LINES) {
          crossConsoleData = "";
          line = 1;
        }
        if (loggingEnabled) {
          var now = new Date();
          var date = now.getHours()+":"+now.getMinutes()+":"+now.getSeconds()+"."+now.getMilliseconds();
          crossConsole.value		= crossConsoleData+"\n--------------------------------\n" + date + " " + input;
          //crossConsole.scrollTop = crossConsole.scrollHeight;
        }
      }
    };
  }
}